package net.yak.kiwi;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public abstract class RunStoppable implements Runnable {
    private boolean stopping = false;

    public synchronized void stop() { stopping = true; }

    public synchronized boolean getStopping() { return stopping; }
    protected Logger log = LoggerFactory.getLogger(Object.class);  // Bonus feature, why not.
}
